Bug 731712 - Add HekaFS (and Glusterfs)
Summary: Add HekaFS (and Glusterfs)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 12:46 UTC by Kaleb KEITHLEY
Modified: 2014-03-17 03:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 18:41:25 UTC


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2011-08-18 12:46:46 UTC
Description of problem:

Please add hekafs to the f16 and rawhide comps.

Additional info:

I asked for feedback about adding hekafs to comps on the fedora-devel list. I got none, from which I conclude that that nobody objects.

hekafs is a cloud/clustering filesystem server based on Glusterfs. Looking at the groups in the f16 and rawhide comps I don't believe the clustering or filesystems groups are the best fit. I personally think the best fit is the servers category.

Comment 1 Bill Nottingham 2011-08-18 16:50:11 UTC
I'm not seeing the package in the repository yet. Is 'hekafs' the right name?

Comment 2 Kaleb KEITHLEY 2011-08-18 17:20:15 UTC
hekafs is correct. It was cloudfs until last week.

Not sure what the repository is that you're referring to.

There's this https://koji.fedoraproject.org/koji/packageinfo?packageID=12428

Is that what you're looking for?

Comment 3 Bill Nottingham 2011-08-18 19:27:26 UTC
Aha, it's been built but hasn't made its way to F-16 or updates-testing yet. No problem.

Comment 4 Bill Nottingham 2011-08-18 20:33:27 UTC
Honestly, I think it does fit better in filesystems, given that something like GFS is there as well. I don't see why people would look for it in servers.

Comment 5 Kaleb KEITHLEY 2011-08-19 11:45:05 UTC
filesystems is fine.

How to I push it into F16 and/or updates-testing? (I need to do the same thing for the new(est) version of glusterfs too.)

Comment 6 Bill Nottingham 2011-08-22 17:05:14 UTC
Oh wait, now that I'm reading this...

'filesystems' is a non-user-visible group used by anaconda. So, yeah, we need something better.

I wonder if it makes sense among a bigger cloud infrastructure group with other software that's not listed in comps right now? (OpenStack, etc.)


As to how to push updates, see:
 https://fedoraproject.org/wiki/Package_update_HOWTO#Working_with_packages_in_the_stable_branches

Comment 7 Bill Nottingham 2011-08-30 18:41:25 UTC
Added in F-17.


Note You need to log in before you can comment on or make changes to this bug.